Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225020 - Cannot drag and drop mail
Summary: Cannot drag and drop mail
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-27 14:41 UTC by Jim Cornette
Modified: 2007-11-30 22:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-07 20:36:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 367203 None None None Never

Description Jim Cornette 2007-01-27 14:41:54 UTC
Description of problem:
When trying to drag and drop mail, it fails to move the mail to another folder.
Bookmark dragging is said to be broken also.

Version-Release number of selected component (if applicable):
seamonkey-1.0.7-1.fc7
gtk2-2.10.9-1.fc7

How reproducible:

Download mail and see some mail which you want to drag to a designated file. The
moving of the message fails.

Steps to Reproduce:
1. drag mail message from inbox to designated folder
2. See no folders being highlighted.
3. See message in original location.
  
Actual results:
Dragging mail does not work. Moving bookmarks also is effected.

Expected results:

Having the ability to move the mail to the desired folder.


Additional info:

A bug for Thunderbird was filed which is similar.

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=223571

this  leads to the below bug report>
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=222349

Which leads to the upstream bug report.
https://bugzilla.mozilla.org/show_bug.cgi?id=367203

A thunderbird patch was submitted upstream for Thunderbird.
https://bugzilla.mozilla.org/attachment.cgi?id=251710

Comment 1 Jim Cornette 2007-01-27 17:01:28 UTC
This problem also effects seamonkey for Fedora Core 6.
seamonkey-1.0.7-0.6.fc6 and gtk2-2.10.8-1.fc6 installed.

Comment 2 Kai Engert (:kaie) (inactive account) 2007-01-29 19:41:10 UTC
Thanks to mclasen for pointing me to
https://bugzilla.mozilla.org/show_bug.cgi?id=367203 and his fix.


Comment 4 Jim Cornette 2007-01-31 23:09:36 UTC
Is this patch easily applied to the program? FC6 and development are both broken.

Comment 6 Kai Engert (:kaie) (inactive account) 2007-02-07 20:36:10 UTC
I built new packages for FC6 and devel that include the patch.


Comment 7 Jim Cornette 2007-02-08 01:52:25 UTC
Thanks!

Comment 8 Jim Cornette 2007-02-08 02:44:49 UTC
confirming the fix and liking the improved font rendering also with the new version.


Note You need to log in before you can comment on or make changes to this bug.